[pkg-horde] [SCM] Debian Horde Packages repository: turba2 package branch, debian-sid, updated. 3e304745f3696ac4a4b2429756805a886653f137

Mathieu Parent math.parent at gmail.com
Sun Dec 20 17:12:15 UTC 2009


The following commit has been merged in the debian-sid branch:
commit 3e304745f3696ac4a4b2429756805a886653f137
Author: Mathieu Parent <math.parent at gmail.com>
Date:   Sun Dec 20 18:10:40 2009 +0100

    Various fixes
    
      * Reverted "When using Kolab, other mail sources are removed. kolab_global
        source is read-only. Corrected __uid."
      * Added a check in debian/rules to make sure that external libs are not
        in the orig.tar.gz
      * Replace config symlink by update-alternatives to allow configuration
        packages

diff --git a/debian/changelog b/debian/changelog
index 48aaaac..1db3c13 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,6 +1,12 @@
 turba2 (2.3.3+debian0-1) UNRELEASED; urgency=low
 
   * New upstream release. 
+  * Reverted "When using Kolab, other mail sources are removed. kolab_global
+    source is read-only. Corrected __uid."
+  * Added a check in debian/rules to make sure that external libs are not
+    in the orig.tar.gz
+  * Replace config symlink by update-alternatives to allow configuration
+    packages
 
  -- Mathieu Parent <sathieu at debian.org>  Sun, 20 Dec 2009 17:59:05 +0100
 
diff --git a/debian/links b/debian/links
index af6c528..54b702a 100644
--- a/debian/links
+++ b/debian/links
@@ -1,5 +1,6 @@
 /usr/share/javascript/scriptaculous/dragdrop.js /usr/share/horde3/turba/js/dragdrop.js
 /usr/share/javascript/scriptaculous/effects.js  /usr/share/horde3/turba/js/effects.js
-/usr/share/javascript/scriptaculous/scriptaculous.js    /usr/share/horde3/turba/js/scriptaculous.js
 /usr/share/javascript/scriptaculous/prototype.js    /usr/share/horde3/turba/js/prototype.js
+/usr/share/javascript/scriptaculous/scriptaculous.js    /usr/share/horde3/turba/js/scriptaculous.js
+/usr/share/javascript/scriptaculous/slider.js   /usr/share/horde3/js/slider.js
 
diff --git a/debian/rules b/debian/rules
index c3cbcef..dd0061c 100755
--- a/debian/rules
+++ b/debian/rules
@@ -52,7 +52,7 @@ configure-stamp:
 	dh_testdir
 	touch configure-stamp
 
-build: build-stamp
+build: check-external-libs build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -87,7 +87,8 @@ install: build
 #	chown www-data:root debian/turba2/etc/horde/turba2/conf.php
 #	chown www-data:root debian/turba2/etc/horde/turba2/conf.php.bak
 #
-	dh_link etc/horde/turba2 usr/share/horde3/turba/config
+	#### turba expects configuration in config subdir, an update-alternatives
+	#### symlink is created in maintainer's scripts to comply with FHS
 
 	#### create htaccess  to restrict acess by web ####
 	echo "Deny from all" > debian/turba2/etc/horde/turba2/.htaccess
@@ -146,4 +147,19 @@ binary-indep: build install
 	dh_builddeb
 
 binary: binary-indep binary-arch
+
+check-external-libs:
+	if [ -e js/dragdrop.js ] || [ -e js/src/dragdrop.js ] || \
+	   [ -e js/effects.js ] || [ -e js/src/effects.js ] || \
+	   [ -e js/prototype.js ] || [ -e js/src/prototype.js ] || \
+	   [ -e js/scriptaculous.js ] || [ -e js/src/scriptaculous.js ] || \
+	   [ -e js/slider.js ] || [ -e js/src/slider.js ]; then \
+               echo ""; \
+	      echo " **                                  **"; \
+	      echo " **  tar contains external files!    **"; \
+	      echo " **                                  **"; \
+	      echo ""; \
+	      exit 1; \
+        fi
+
 .PHONY: patch unpatch build clean binary-indep binary-arch binary install configure
diff --git a/debian/turba2.postinst b/debian/turba2.postinst
new file mode 100644
index 0000000..a4e85fb
--- /dev/null
+++ b/debian/turba2.postinst
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    configure)
+        update-alternatives --install /usr/share/horde3/turba/config turba2-config /etc/horde/turba2 1
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+
diff --git a/debian/turba2.prerm b/debian/turba2.prerm
new file mode 100644
index 0000000..9e571ed
--- /dev/null
+++ b/debian/turba2.prerm
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+case "$1" in
+    remove)
+        update-alternatives --remove turba2-config /etc/horde/turba2
+    ;;
+
+    upgrade|deconfigure|failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+#DEBHELPER#
+
+exit 0
+

-- 
Debian Horde Packages repository: turba2 package



More information about the pkg-horde-hackers mailing list